unit id3config;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, TagEditorLibConsts;

type
  TfrmConfig = class(TForm)
    rgID3: TRadioGroup;
    Bevel1: TBevel;
    Button1: TButton;
    Button2: TButton;
    procedure FormShow(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private 錾 }
  public
    { Public 錾 }
  end;

  TConfig = record
    SaveType: integer;
  end;


 procedure LoadConfig;
 procedure SaveConfig;

 procedure Configure; stdcall; 


const
  ID3_AUTO=0;
  ID3_v1=1;
  ID3_v2=2;
  ID3_BOTH=3;

var
  Config: TConfig;


implementation

{$R *.dfm}

uses IniFiles, ID3v1, ID3v2;


procedure LoadConfig;
var ini: TIniFile;
begin
  ini:=TIniFile.Create(ExtractFilePath(ParamStr(0))+'libconfig.ini');
  with Config do
  try
    SaveType:=ini.ReadInteger('id3', 'SaveType', 0);
  finally
    ini.Free;
  end;
end;

procedure SaveConfig;
var
  ini: TIniFile;
begin
  ini:=TIniFile.Create(ExtractFilePath(ParamStr(0))+'libconfig.ini');
  with Config do
  try
    ini.WriteInteger('id3', 'SaveType', SaveType);
  finally
    ini.Free;
  end;
end;

procedure Configure; stdcall;
begin
  with TfrmConfig.Create(nil) do
  begin
    ShowModal;
    Release;
  end;
end;

procedure TfrmConfig.FormShow(Sender: TObject);
begin
  rgID3.ItemIndex:=Config.SaveType;
end;

procedure TfrmConfig.Button1Click(Sender: TObject);
begin
  Config.SaveType:=rgID3.ItemIndex;
  SaveConfig;
end;





end.
